path: /build/build/libsignon-glib-net-libs-2.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test introspection python python_targets_python3_9" emerge net-libs/libsignon-glib -pv -t && \
    USE="-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test introspection python python_targets_python3_9" emerge -j ${JOBS} --nodeps net-libs/libsignon-glib
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libsignon-glib && luet-portage --dir
    /pkgdir/libsignon-glib net-libs/libsignon-glib && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b56183dd9759dc62b53c18dcb292445f5ef627d76f977e67ca9f773d2b03d6da
  package:
    name: libsignon-glib
    version: "2.1"
    category: net-libs
    use_flags:
    - -doc
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - introspection
    - python
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GLib binding for the D-Bus API provided by signond
    uri:
    - https://01.org/gsso/
    license: LGPL-2.1
    buildtimestamp: 2023-12-11 19:33:01.060306546 +0000 UTC m=+170.623746707
    labels:
      BDEPEND: dev-util/gdbus-codegen dev-util/glib-utils doc? ( dev-util/gtk-doc
        ) test? ( dev-libs/check ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: dev-libs/glib:2 net-libs/signond introspection? ( dev-libs/gobject-introspection:=
        ) python? ( python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/pygobject:3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        )
      IUSE: debug doc +introspection python test python_targets_python3_10 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8
      RDEPEND: dev-libs/glib:2 net-libs/signond introspection? ( dev-libs/gobject-introspection:=
        ) python? ( python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/pygobject:3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        )
      emerge.packages: net-libs/libsignon-glib
      kit: net-kit
      original.package.name: net-libs/libsignon-glib
      original.package.slot: "0"
      original.package.version: "2.1"
    treedir: /build/packages
  package_dir: /pkgdir/libsignon-glib
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: db6e2a8eb787f2a6aad1caebbe2710c9233b4f2f7f8537f50be6accbca92f16b
compressiontype: zstd
files:
- usr/include/libsignon-glib/signon-auth-service.h
- usr/include/libsignon-glib/signon-auth-session.h
- usr/include/libsignon-glib/signon-enum-types.h
- usr/include/libsignon-glib/signon-errors.h
- usr/include/libsignon-glib/signon-glib.h
- usr/include/libsignon-glib/signon-identity-info.h
- usr/include/libsignon-glib/signon-identity.h
- usr/include/libsignon-glib/signon-security-context.h
- usr/include/libsignon-glib/signon-types.h
- usr/lib/python3.9/site-packages/gi/overrides/Signon.py
- usr/lib64/girepository-1.0/Signon-2.0.typelib
- usr/lib64/libsignon-glib.so
- usr/lib64/libsignon-glib.so.2
- usr/lib64/libsignon-glib.so.2.0.0
- usr/lib64/pkgconfig/libsignon-glib.pc
- usr/share/doc/libsignon-glib-2.1/AUTHORS
- usr/share/doc/libsignon-glib-2.1/NEWS.bz2
- usr/share/doc/libsignon-glib-2.1/README.md.bz2
- usr/share/gir-1.0/Signon-2.0.gir
- usr/share/vala/vapi/libsignon-glib.deps
- usr/share/vala/vapi/libsignon-glib.vapi
- var/db/pkg/net-libs/libsignon-glib-2.1/BDEPEND
- var/db/pkg/net-libs/libsignon-glib-2.1/BUILD_TIME
- var/db/pkg/net-libs/libsignon-glib-2.1/CATEGORY
- var/db/pkg/net-libs/libsignon-glib-2.1/CBUILD
- var/db/pkg/net-libs/libsignon-glib-2.1/CFLAGS
- var/db/pkg/net-libs/libsignon-glib-2.1/CHOST
- var/db/pkg/net-libs/libsignon-glib-2.1/CONTENTS
- var/db/pkg/net-libs/libsignon-glib-2.1/COUNTER
- var/db/pkg/net-libs/libsignon-glib-2.1/CXXFLAGS
- var/db/pkg/net-libs/libsignon-glib-2.1/DEFINED_PHASES
- var/db/pkg/net-libs/libsignon-glib-2.1/DEPEND
- var/db/pkg/net-libs/libsignon-glib-2.1/DESCRIPTION
- var/db/pkg/net-libs/libsignon-glib-2.1/EAPI
- var/db/pkg/net-libs/libsignon-glib-2.1/FEATURES
- var/db/pkg/net-libs/libsignon-glib-2.1/HOMEPAGE
- var/db/pkg/net-libs/libsignon-glib-2.1/INHERITED
- var/db/pkg/net-libs/libsignon-glib-2.1/IUSE
- var/db/pkg/net-libs/libsignon-glib-2.1/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libsignon-glib-2.1/KEYWORDS
- var/db/pkg/net-libs/libsignon-glib-2.1/LDFLAGS
- var/db/pkg/net-libs/libsignon-glib-2.1/LICENSE
- var/db/pkg/net-libs/libsignon-glib-2.1/NEEDED
- var/db/pkg/net-libs/libsignon-glib-2.1/PF
- var/db/pkg/net-libs/libsignon-glib-2.1/PROVIDES
- var/db/pkg/net-libs/libsignon-glib-2.1/RDEPEND
- var/db/pkg/net-libs/libsignon-glib-2.1/REQUIRES
- var/db/pkg/net-libs/libsignon-glib-2.1/RESTRICT
- var/db/pkg/net-libs/libsignon-glib-2.1/SIZE
- var/db/pkg/net-libs/libsignon-glib-2.1/SLOT
- var/db/pkg/net-libs/libsignon-glib-2.1/USE
- var/db/pkg/net-libs/libsignon-glib-2.1/environment.bz2
- var/db/pkg/net-libs/libsignon-glib-2.1/libsignon-glib-2.1.ebuild
- var/db/pkg/net-libs/libsignon-glib-2.1/repository
package_cacheimage: ""
runtime:
  name: libsignon-glib
  version: "2.1"
  category: net-libs
  use_flags:
  - -doc
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - introspection
  - python
  - python_targets_python3_9
  requires:
  - name: pygobject
    version: '>=0'
    category: dev-python-3
  - name: signond
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GLib binding for the D-Bus API provided by signond
  uri:
  - https://01.org/gsso/
  license: LGPL-2.1
  labels:
    BDEPEND: dev-util/gdbus-codegen dev-util/glib-utils doc? ( dev-util/gtk-doc )
      test? ( dev-libs/check ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: dev-libs/glib:2 net-libs/signond introspection? ( dev-libs/gobject-introspection:=
      ) python? ( python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/pygobject:3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      )
    IUSE: debug doc +introspection python test python_targets_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: dev-libs/glib:2 net-libs/signond introspection? ( dev-libs/gobject-introspection:=
      ) python? ( python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/pygobject:3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      )
    emerge.packages: net-libs/libsignon-glib
    kit: net-kit
    original.package.name: net-libs/libsignon-glib
    original.package.slot: "0"
    original.package.version: "2.1"
